pstopdf(1)

NAME
pstopdf - convert PostScript input into a PDF document.

SYNOPSIS
pstopdf [inputfile] [-o outname] [-l] [-p] [-i]

DESCRIPTION
pstopdf is a tool to convert PostScript input data into a PDF document. The input data may come from a file or may be read from stdin. The PDF document is always written to a file. The name of the output PDF file is derived from the name of the input file or may be explicitly named using the -o option.

Flags:

-o outname
    The name of the output file to create. If an explicit file name is not supplied, the output file will be created in the current directory and named foo.pdf for an input file named foo.ps

-i  Reads from stdin rather than a named input file. If the output file is not explicitly named and the input data comes from stdin the named output file will be stdin.pdf

-l  Specifies that any messages generated during file conversion be written to a log file. For an output file named foo.pdf the generated log file is foo.pdf.log rather than generated to stdout. If there are no messages, the log file is not generated.

-p  Generates a simple progress message to stdout at the end of each page. Because conversion of complex or lengthy PostScript input can take time, it is sometimes useful to see that progress is being made. Progress messages are always written to stdout even when the -l (log file) option is specified.

EXAMPLES
pstopdf inputfile.ps
    Creates a PDF file named inputfile.pdf from the PostScript data in the input file inputfile.ps

pstopdf -i -o outputfilename
    Creates a PDF file named outputfilename from the PostScript data read from stdin.